Index: LMDZ6/branches/Amaury_dev/libf/phylmd/suphel.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/suphel.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/suphel.F90	(revision 5143)
@@ -3,9 +3,9 @@
 
 SUBROUTINE suphel
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "YOETHF.h"
   ! IM cf. JLD
   LOGICAL firstcall
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_mod.F90	(revision 5143)
@@ -35,8 +35,8 @@
     USE indice_sol_mod, ONLY: is_oce
     USE lmdz_clesphys
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     INCLUDE "YOMCST.h"
-    INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
@@ -169,8 +169,8 @@
 
     USE lmdz_print_control, ONLY: prt_level,lunout
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     INCLUDE "YOMCST.h"
-    INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 
     INTEGER,                      INTENT(IN)        :: knon    ! number of grid cells
@@ -721,8 +721,8 @@
 
     USE lmdz_print_control, ONLY: prt_level,lunout
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     INCLUDE "YOMCST.h"
-    INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 
     INTEGER,                      INTENT(IN)        :: knon         ! number of grid cells
@@ -964,8 +964,8 @@
 
     USE lmdz_print_control, ONLY: prt_level,lunout
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     INCLUDE "YOMCST.h"
-    INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 
     INTEGER,                      INTENT(IN)        :: knon         ! number of grid cells
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/wx_pbl_var_mod.F90	(revision 5143)
@@ -318,8 +318,8 @@
     USE indice_sol_mod, ONLY: is_oce
     USE lmdz_clesphys
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     INCLUDE "YOMCST.h"
-    INCLUDE "FCTTRE.h"
-    INCLUDE "YOETHF.h"
 
     INTEGER, INTENT(IN) :: knon    ! number of grid cells
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/concvl.F90	(revision 5143)
@@ -43,4 +43,5 @@
   USE dimphy
   USE infotrac_phy, ONLY: nbtr
+  USE lmdz_YOETHF
 #ifdef ISO
   USE infotrac_phy, ONLY: ntraciso=>ntiso
@@ -65,4 +66,5 @@
   USE lmdz_clesphys
   USE lmdz_conema3
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
   IMPLICIT NONE
@@ -297,6 +299,4 @@
   include "YOMCST.h"
   include "YOMCST2.h"
-  include "YOETHF.h"
-  include "FCTTRE.h"
 
   IF (first) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_enthalpmix.F90	(revision 5143)
@@ -18,4 +18,6 @@
   ! **************************************************************
 USE lmdz_cvthermo
+USE lmdz_YOETHF
+USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
   IMPLICIT NONE
@@ -30,7 +32,5 @@
   ! ===============================================================
 
-  include "YOETHF.h"
   include "YOMCST.h"
-  include "FCTTRE.h"
 !inputs:
   INTEGER, INTENT (IN)                      :: nd, len
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_estatmix.F90	(revision 5143)
@@ -19,4 +19,6 @@
   ! ****************************************************************
 USE lmdz_cvthermo
+USE lmdz_YOETHF
+USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
   IMPLICIT NONE
@@ -31,7 +33,5 @@
   ! ===============================================================
 
-  include "YOETHF.h"
   include "YOMCST.h"
-  include "FCTTRE.h"
 !inputs:
   INTEGER, INTENT (IN)                      :: nd, len
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5143)
@@ -12843,4 +12843,7 @@
     USE isotrac_mod, ONLY: izone_cont,index_zone,index_iso
 #endif
+USE lmdz_YOETHF
+USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
         IMPLICIT NONE
 
@@ -12848,7 +12851,4 @@
         ! fond, etc...
         ! commun aux dfférentes sous-surfaces.
-
- include "YOETHF.h"
- include "FCTTRE.h"
 
          ! inputs
@@ -13407,8 +13407,8 @@
 &       bassin_map
 #endif
+USE lmdz_YOETHF
+USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
         IMPLICIT NONE
-
- include "YOETHF.h"
- include "FCTTRE.h"
 
         ! inputs
@@ -14318,10 +14318,9 @@
 &       bassin_map
 #endif
+USE lmdz_YOETHF
+USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
         IMPLICIT NONE
 
- include "YOETHF.h"
- include "FCTTRE.h"
-        
         ! inputs
         INTEGER klon,knon
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_FCTTRE.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_FCTTRE.f90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_FCTTRE.f90	(revision 5143)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_FCTTRE.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOEGWD.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOEGWD.f90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOEGWD.f90	(revision 5143)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_YOEGWD.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOETHF.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOETHF.f90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_YOETHF.f90	(revision 5143)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_YOETHF.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5143)
@@ -67,4 +67,7 @@
 #endif
 #endif
+
+USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
   IMPLICIT NONE
@@ -312,6 +315,4 @@
   REAL zzz
 
-  include "YOETHF.h"
-  include "FCTTRE.h"
   fallvc (zzz) = 3.29/2.0 * ((zzz)**0.16) * ffallv_con
   fallvs (zzz) = 3.29/2.0 * ((zzz)**0.16) * ffallv_lsc
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5143)
@@ -424,4 +424,6 @@
     USE lmdz_conema3
     USE lmdz_dimpft, ONLY: nvm_lmdz
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     IMPLICIT NONE
@@ -1268,6 +1270,4 @@
 
     include "YOMCST.h"
-    include "YOETHF.h"
-    include "FCTTRE.h"
 
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5143)
@@ -15,4 +15,8 @@
 #endif
 #endif
+
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
     IMPLICIT NONE
     !>======================================================================
@@ -27,10 +31,7 @@
     INTEGER i,k,ixt,ivapcur,iliqcur,isolcur
 
-
     !--------Stochastic Boundary Layer Triggering: ALE_BL--------
     !---Propri\'et\'es du thermiques au LCL
     include "YOMCST.h"
-    include "YOETHF.h"
-    include "FCTTRE.h"
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
 
